### Virtual Method

# RB RhythmDB impl_lookup_by_id

#### Declaration [src]

    RhythmDBEntry*
    impl_lookup_by_id (
      RhythmDB* db,
      gint id
    )

#### Description

No description available.

#### Parameters

`id`

  Type: `gint`

  No description available.

#### Return value

Type: `RhythmDBEntry`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.